package org.example.domain

import org.example.data.UserRepository
import org.example.domain.request.AuthorizeRequest
import org.example.domain.response.UserResponse

class UserUseCaseImpl(private val userRepository: UserRepository): UserUseCase {
    override fun authorize(authorizeRequest: AuthorizeRequest): UserResponse {
        val findUser = userRepository.getAllUsers()
            .firstOrNull {
                it.email == authorizeRequest.email
            }
        checkNotNull(findUser){
            "Пользователь с такой почтой не найден"
        }
        require(findUser.password == authorizeRequest.password){
            "Пароли не совпадают"
        }
        return UserDtoTOUserResponse(findUser)
    }

    override fun registration() {
        TODO("Not yet implemented")
    }

    override fun changePassword() {
        TODO("Not yet implemented")
    }

    override fun changeProfile() {
        TODO("Not yet implemented")
    }
}